summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-05-22 07:47:08 +0000
committerZac Medico <zmedico@gentoo.org>2006-05-22 07:47:08 +0000
commit6a8a98869bea4a992f28c3536dfbaa379adf0f29 (patch)
tree7072735bab8062778df490731d34243302a35e76 /bin/ebuild.sh
parentFix userfetch so that it works regardless of whether or not userpriv is enabl... (diff)
downloadportage-multirepo-6a8a98869bea4a992f28c3536dfbaa379adf0f29.tar.gz
portage-multirepo-6a8a98869bea4a992f28c3536dfbaa379adf0f29.tar.bz2
portage-multirepo-6a8a98869bea4a992f28c3536dfbaa379adf0f29.zip
Don't warn about RESTRICT=test unless FEATURES=test is enabled for bug #134004.
svn path=/main/trunk/; revision=3389
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 5f7cd431..31f32ed8 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -970,11 +970,11 @@ dyn_test() {
if [ -d "${S}" ]; then
cd "${S}"
fi
- if hasq test $RESTRICT; then
+ if ! hasq test $FEATURES; then
+ vecho ">>> Test phase [not enabled]: ${CATEGORY}/${PF}"
+ elif hasq test $RESTRICT; then
ewarn "Skipping make test/check due to ebuild restriction."
vecho ">>> Test phase [explicitly disabled]: ${CATEGORY}/${PF}"
- elif ! hasq test $FEATURES; then
- vecho ">>> Test phase [not enabled]: ${CATEGORY}/${PF}"
else
src_test
fi